{{ if .Values.storage.enabled }}
---
kind: PersistentVolumeClaim
apiVersion: v1
metadata:
  name: {{ .Release.Name }}-data-claim
spec:
  accessModes:
    - ReadWriteOnce
  resources:
    requests:
      storage: {{ .Values.storage.size }}
  {{ if .Values.storage.class }}
  storageClassName: {{ .Values.storage.class }}
  {{ end }}
{{ end }}